"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var common_1 = require("@angular/common");
var core_1 = require("@angular/core");
var forms_1 = require("@angular/forms");
var mobx_angular_1 = require("mobx-angular");
// ngx-bootstrap
var datepicker_1 = require("ngx-bootstrap/datepicker");
var dropdown_1 = require("ngx-bootstrap/dropdown");
var modal_1 = require("ngx-bootstrap/modal");
var tooltip_1 = require("ngx-bootstrap/tooltip");
// Core components
var core_2 = require("@lightweightform/core");
var core_3 = require("@lightweightform/core");
exports.AppService = core_3.AppService;
exports.RouterService = core_3.RouterService;
exports.VirtualScrollComponent = core_3.VirtualScrollComponent;
// Components
var alert_component_1 = require("./components/alert/alert.component");
var app_component_1 = require("./components/app/app.component");
var button_component_1 = require("./components/button/button.component");
var card_component_1 = require("./components/card/card.component");
var dropdown_component_1 = require("./components/dropdown/dropdown.component");
var checkbox_group_component_1 = require("./components/fields/checkbox-group/checkbox-group.component");
var checkbox_component_1 = require("./components/fields/checkbox/checkbox.component");
var date_range_component_1 = require("./components/fields/date-range/date-range.component");
var date_component_1 = require("./components/fields/date/date.component");
var number_component_1 = require("./components/fields/number/number.component");
var radio_component_1 = require("./components/fields/radio/radio.component");
var select_component_1 = require("./components/fields/select/select.component");
var table_column_index_directive_1 = require("./components/fields/table/table-header/table-column-index.directive");
var table_column_directive_1 = require("./components/fields/table/table-header/table-column.directive");
var table_header_component_1 = require("./components/fields/table/table-header/table-header.component");
var table_row_component_1 = require("./components/fields/table/table-row/table-row.component");
var table_component_1 = require("./components/fields/table/table.component");
var text_component_1 = require("./components/fields/text/text.component");
var textarea_component_1 = require("./components/fields/textarea/textarea.component");
var form_component_1 = require("./components/form/form.component");
var help_label_component_1 = require("./components/help-label/help-label.component");
var modal_component_1 = require("./components/modal/modal.component");
var tooltip_component_1 = require("./components/tooltip/tooltip.component");
var top_bar_component_1 = require("./components/top-bar/top-bar.component");
var tree_entry_component_1 = require("./components/tree-nav/tree-entry/tree-entry.component");
var tree_nav_component_1 = require("./components/tree-nav/tree-nav.component");
var alert_component_2 = require("./components/alert/alert.component");
exports.AlertComponent = alert_component_2.AlertComponent;
var app_component_2 = require("./components/app/app.component");
exports.AppComponent = app_component_2.AppComponent;
var button_component_2 = require("./components/button/button.component");
exports.ButtonComponent = button_component_2.ButtonComponent;
var card_component_2 = require("./components/card/card.component");
exports.CardComponent = card_component_2.CardComponent;
var dropdown_component_2 = require("./components/dropdown/dropdown.component");
exports.DropdownComponent = dropdown_component_2.DropdownComponent;
var checkbox_group_component_2 = require("./components/fields/checkbox-group/checkbox-group.component");
exports.CheckboxGroupComponent = checkbox_group_component_2.CheckboxGroupComponent;
var checkbox_component_2 = require("./components/fields/checkbox/checkbox.component");
exports.CheckboxComponent = checkbox_component_2.CheckboxComponent;
var date_range_component_2 = require("./components/fields/date-range/date-range.component");
exports.DateRangeComponent = date_range_component_2.DateRangeComponent;
var date_component_2 = require("./components/fields/date/date.component");
exports.DateComponent = date_component_2.DateComponent;
var number_component_2 = require("./components/fields/number/number.component");
exports.NumberComponent = number_component_2.NumberComponent;
var radio_component_2 = require("./components/fields/radio/radio.component");
exports.RadioComponent = radio_component_2.RadioComponent;
exports.RadioNumberComponent = radio_component_2.RadioNumberComponent;
var select_component_2 = require("./components/fields/select/select.component");
exports.SelectComponent = select_component_2.SelectComponent;
exports.SelectNumberComponent = select_component_2.SelectNumberComponent;
var table_row_component_2 = require("./components/fields/table/table-row/table-row.component");
exports.TableRowComponent = table_row_component_2.TableRowComponent;
var table_component_2 = require("./components/fields/table/table.component");
exports.TableComponent = table_component_2.TableComponent;
var text_component_2 = require("./components/fields/text/text.component");
exports.TextComponent = text_component_2.TextComponent;
var textarea_component_2 = require("./components/fields/textarea/textarea.component");
exports.TextareaComponent = textarea_component_2.TextareaComponent;
var form_component_2 = require("./components/form/form.component");
exports.FormComponent = form_component_2.FormComponent;
var help_label_component_2 = require("./components/help-label/help-label.component");
exports.HelpLabelComponent = help_label_component_2.HelpLabelComponent;
var modal_component_2 = require("./components/modal/modal.component");
exports.ModalComponent = modal_component_2.ModalComponent;
var tooltip_component_2 = require("./components/tooltip/tooltip.component");
exports.TooltipComponent = tooltip_component_2.TooltipComponent;
var EXPORTS = [
    app_component_1.AppComponent,
    alert_component_1.AlertComponent,
    button_component_1.ButtonComponent,
    card_component_1.CardComponent,
    checkbox_component_1.CheckboxComponent,
    checkbox_group_component_1.CheckboxGroupComponent,
    date_component_1.DateComponent,
    date_range_component_1.DateRangeComponent,
    dropdown_component_1.DropdownComponent,
    form_component_1.FormComponent,
    help_label_component_1.HelpLabelComponent,
    modal_component_1.ModalComponent,
    number_component_1.NumberComponent,
    select_component_1.SelectComponent,
    select_component_1.SelectNumberComponent,
    radio_component_1.RadioComponent,
    radio_component_1.RadioNumberComponent,
    table_column_directive_1.TableColumnDirective,
    table_column_index_directive_1.TableColumnIndexDirective,
    table_header_component_1.TableHeaderComponent,
    table_row_component_1.TableRowComponent,
    table_component_1.TableComponent,
    top_bar_component_1.TopBarComponent,
    tooltip_component_1.TooltipComponent,
    text_component_1.TextComponent,
    textarea_component_1.TextareaComponent,
    core_2.VirtualScrollComponent,
];
var DECLARATIONS = EXPORTS.concat([tree_entry_component_1.TreeEntryComponent, tree_nav_component_1.TreeNavComponent]);
var LFBootstrapThemeModule = /** @class */ (function () {
    function LFBootstrapThemeModule() {
    }
    LFBootstrapThemeModule = __decorate([
        core_1.NgModule({
            imports: [
                common_1.CommonModule,
                datepicker_1.BsDatepickerModule.forRoot(),
                dropdown_1.BsDropdownModule.forRoot(),
                modal_1.ModalModule.forRoot(),
                forms_1.FormsModule,
                mobx_angular_1.MobxAngularModule,
                modal_1.ModalModule.forRoot(),
                tooltip_1.TooltipModule.forRoot(),
            ],
            declarations: DECLARATIONS,
            exports: EXPORTS,
            providers: [
                core_2.AppService,
                core_2.RouterService,
                common_1.Location,
                { provide: common_1.LocationStrategy, useClass: common_1.PathLocationStrategy },
                { provide: common_1.APP_BASE_HREF, useValue: '/' },
            ],
            schemas: [core_1.CUSTOM_ELEMENTS_SCHEMA],
        })
    ], LFBootstrapThemeModule);
    return LFBootstrapThemeModule;
}());
exports.LFBootstrapThemeModule = LFBootstrapThemeModule;
//# sourceMappingURL=index.js.map